## oonf-dlep-proxy-2022-08-25-fb15d54d.tar.xz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

###########################
#### API configuration ####
###########################

# set cached variables
#include (./cmake/lib_config.cmake)

# include compiler flags
#include (./cmake/cc_flags.cmake)

# include global variables
include (./CMakeListsGlobal.cmake)

########################################################
#### Set a default build type if none was specified ####
########################################################

if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to 'Debug' as none was specified.")
  set(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release"
    "MinSizeRel" "RelWithDebInfo")
endif()

########################################
#### get repository tag and version ####
########################################

#include (cmake/get_version.cmake)
#IF(EXISTS "${PROJECT_BINARY_DIR}/version.cmake")
#  include (${PROJECT_BINARY_DIR}/version.cmake)
#ENDIF()

########################
#### Doxygen target ####
########################

find_package(Doxygen)
if(DOXYGEN_FOUND)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/files/framework.doxyfile.in
        ${CMAKE_CURRENT_BINARY_DIR}/framework.doxyfile @ONLY)
    add_custom_target(doc
        ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/framework.doxyfile
        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
        COMMENT "Generating API documentation with Doxygen" VERBATIM
    )
endif(DOXYGEN_FOUND)

#############################
#### add tarball targets ####
#############################

ADD_CUSTOM_TARGET(tar    COMMAND ${CMAKE_COMMAND}
                                 -D SOURCE:STRING=${CMAKE_SOURCE_DIR}
                                 -D BINARY:STRING=${PROJECT_BINARY_DIR}
                                 -D VERSION:STRING=${VERSION}
                                 -D FORMAT:STRING=tar
                                 -D TARBALL:STRING=${TARBALL}
                                 -D TARPREFIX:STRING=${TARPREFIX}
                                 -P ${CMAKE_CURRENT_SOURCE_DIR}/cmake/generate_archive.cmake)
ADD_CUSTOM_TARGET(targz  COMMAND ${CMAKE_COMMAND}
                                 -D SOURCE:STRING=${CMAKE_SOURCE_DIR}
                                 -D BINARY:STRING=${PROJECT_BINARY_DIR}
                                 -D VERSION:STRING=${VERSION}
                                 -D FORMAT:STRING=tar.gz
                                 -D TARBALL:STRING=${TARBALL}
                                 -D TARPREFIX:STRING=${TARPREFIX}
                                 -P ${CMAKE_CURRENT_SOURCE_DIR}/cmake/generate_archive.cmake)
ADD_CUSTOM_TARGET(tarbz2 COMMAND ${CMAKE_COMMAND}
                                 -D SOURCE:STRING=${CMAKE_SOURCE_DIR}
                                 -D BINARY:STRING=${PROJECT_BINARY_DIR}
                                 -D VERSION:STRING=${VERSION}
                                 -D FORMAT:STRING=tar.bz2
                                 -D TARBALL:STRING=${TARBALL}
                                 -D TARPREFIX:STRING=${TARPREFIX}
                                 -P ${CMAKE_CURRENT_SOURCE_DIR}/cmake/generate_archive.cmake)
ADD_CUSTOM_TARGET(zip    COMMAND ${CMAKE_COMMAND}
                                 -D SOURCE:STRING=${CMAKE_SOURCE_DIR}
                                 -D BINARY:STRING=${PROJECT_BINARY_DIR}
                                 -D VERSION:STRING=${VERSION}
                                 -D FORMAT:STRING=zip
                                 -D TARBALL:STRING=${TARBALL}
                                 -D TARPREFIX:STRING=${TARPREFIX}
                                 -P ${CMAKE_CURRENT_SOURCE_DIR}/cmake/generate_archive.cmake)

#########################
#### Compile targets ####
#########################

# include build helper
include (cmake/declare_library.cmake)

# define static and dynamic target
add_custom_target(static)
add_custom_target(dynamic)
add_custom_target(build_tests)

# start compiling core and plugins
add_subdirectory(src)
add_subdirectory(apps)

=== src/CMakeLists.txt ===
# build framework
add_subdirectory(libcommon)
add_subdirectory(libconfig)
add_subdirectory(libcore)
add_subdirectory(librfc5444)
#add_subdirectory(crypto)
add_subdirectory(generic)
add_subdirectory(nhdp)
add_subdirectory(olsrv2)
add_subdirectory(base)

if (NOT OONF_NO_TESTING)
    add_subdirectory(tests)
endif (NOT OONF_NO_TESTING)

=== apps/dlep-radio/CMakeLists.txt ===
###########################################
#### Default Application configuration ####
###########################################

# set name of program the executable and library prefix
set (OONF_APP "DLEP Radio")
set (OONF_EXE dlep_radio)

# setup custom text before and after default help message
set (OONF_HELP_PREFIX "DLEP Radio daemon\\n")
set (OONF_HELP_SUFFIX "Visit http://www.olsr.org\\n")

# setup custom text after version string
set (OONF_VERSION_TRAILER "Visit http://www.olsr.org\\n")

# set to true to stop application running without root privileges (true/false)
set (OONF_NEED_ROOT true)

# set to true to require a lock for the application to run
set (OONF_NEED_LOCK true)

# name of default configuration handler
set (OONF_APP_DEFAULT_CFG_HANDLER Compact)

#################################
####  set static subsystems  ####
#################################

IF (NOT OONF_STATIC_PLUGINS)
    set (OONF_STATIC_PLUGINS class
                             clock
                             layer2
                             packet_socket
                             socket
                             stream_socket
                             telnet
                             timer
                             viewer
                             os_clock
                             os_fd
                             os_interface
                             os_system
                             os_routing
                             cfg_compact
                             layer2info
                             systeminfo
                             layer2_config
                             layer2_import
                             dlep_radio
                             )
ENDIF (NOT OONF_STATIC_PLUGINS)

IF (NOT OONF_OPTIONAL_STATIC_PLUGINS)
    set (OONF_OPTIONAL_STATIC_PLUGINS nl80211_listener)
ENDIF (NOT OONF_OPTIONAL_STATIC_PLUGINS)

##################################
#### link framework libraries ####
##################################

include(../../cmake/link_app.cmake)
oonf_create_app("${OONF_EXE}" "${OONF_STATIC_PLUGINS}" "${OONF_OPTIONAL_STATIC_PLUGINS}")

=== apps/dlep-router/CMakeLists.txt ===
###########################################
#### Default Application configuration ####
###########################################

# set name of program the executable and library prefix
set (OONF_APP "DLEP Router")
set (OONF_EXE dlep_router)

# setup custom text before and after default help message
set (OONF_HELP_PREFIX "DLEP Router daemon\\n")
set (OONF_HELP_SUFFIX "Visit http://www.olsr.org\\n")

# setup custom text after version string
set (OONF_VERSION_TRAILER "Visit http://www.olsr.org\\n")

# set to true to stop application running without root privileges (true/false)
set (OONF_NEED_ROOT false)

# set to true to require a lock for the application to run
set (OONF_NEED_LOCK true)

# name of default configuration handler
set (OONF_APP_DEFAULT_CFG_HANDLER Compact)

#################################
####  set static subsystems  ####
#################################

IF (NOT OONF_STATIC_PLUGINS)
    set (OONF_STATIC_PLUGINS class
                             clock
                             layer2
                             packet_socket
                             socket
                             stream_socket
                             telnet
                             timer
                             viewer
                             os_clock
                             os_fd
                             os_interface
                             os_system
                             os_routing
                             cfg_compact
                             layer2info
                             systeminfo
                             dlep_router
                             layer2_export
                             )
ENDIF (NOT OONF_STATIC_PLUGINS)

##################################
#### link framework libraries ####
##################################

include(../../cmake/link_app.cmake)
oonf_create_app("${OONF_EXE}" "${OONF_STATIC_PLUGINS}" "${OONF_OPTIONAL_STATIC_PLUGINS}")

=== apps/olsrd2-dlep/CMakeLists.txt ===
###########################################
#### Default Application configuration ####
###########################################

# set name of program the executable and library prefix
set (OONF_APP "OLSRd2 DLEP")
set (OONF_EXE olsrd2_dlep)

# setup custom text before and after default help message
set (OONF_HELP_PREFIX "OLSRv2 routing agent with DLEP\\n")
set (OONF_HELP_SUFFIX "Visit http://www.olsr.org\\n")

# setup custom text after version string
set (OONF_VERSION_TRAILER "Visit http://www.olsr.org\\n")

# set to true to stop application running without root privileges (true/false)
set (OONF_NEED_ROOT true)

# set to true to require a lock for the application to run
set (OONF_NEED_LOCK true)

# name of default configuration handler
set (OONF_APP_DEFAULT_CFG_HANDLER Compact)

#################################
####  set static subsystems  ####
#################################

IF (NOT OONF_STATIC_PLUGINS)
    set (OONF_STATIC_PLUGINS class
                             clock
                             duplicate_set
                             layer2
                             packet_socket
                             rfc5444
                             socket
                             stream_socket
                             telnet
                             timer
                             viewer
                             os_clock
                             os_fd
                             os_interface
                             os_routing
                             os_system
                             cfg_compact
                             layer2info
                             systeminfo
                             nhdp
                             ff_dat_metric
                             layer2_config
                             neighbor_probing
                             nhdpinfo
                             olsrv2
                             olsrv2info
                             olsrv2_lan
                             netjsoninfo
                             layer2_import
                             auto_ll4
                             http
                             dlep_router
                             )
ENDIF (NOT OONF_STATIC_PLUGINS)


IF (NOT OONF_OPTIONAL_STATIC_PLUGINS)
    set (OONF_OPTIONAL_STATIC_PLUGINS nl80211_listener)
ENDIF (NOT OONF_OPTIONAL_STATIC_PLUGINS)

##################################
#### link framework libraries ####
##################################

include(../../cmake/link_app.cmake)
oonf_create_app("${OONF_EXE}" "${OONF_STATIC_PLUGINS}" "${OONF_OPTIONAL_STATIC_PLUGINS}")

=== apps/olsrd2/CMakeLists.txt ===
###########################################
#### Default Application configuration ####
###########################################

# set name of program the executable and library prefix
set (OONF_APP OLSRd2)
set (OONF_EXE olsrd2)

# setup custom text before and after default help message
set (OONF_HELP_PREFIX "OLSRv2 routing agent\\n")
set (OONF_HELP_SUFFIX "Visit http://www.olsr.org\\n")

# setup custom text after version string
set (OONF_VERSION_TRAILER "Visit http://www.olsr.org\\n")

# set to true to stop application running without root privileges (true/false)
set (OONF_NEED_ROOT true)

# set to true to require a lock for the application to run
set (OONF_NEED_LOCK true)

# name of default configuration handler
set (OONF_APP_DEFAULT_CFG_HANDLER Compact)

#################################
####  set static subsystems  ####
#################################

IF (NOT OONF_STATIC_PLUGINS)
    set (OONF_STATIC_PLUGINS class
                             clock
                             duplicate_set
                             layer2
                             packet_socket
                             rfc5444
                             socket
                             stream_socket
                             telnet
                             timer
                             viewer
                             os_clock
                             os_fd
                             os_interface
                             os_routing
                             os_system
                             cfg_compact
                             layer2info
                             systeminfo
                             nhdp
                             ff_dat_metric
                             layer2_config
                             neighbor_probing
                             nhdpinfo
                             olsrv2
                             olsrv2info
                             olsrv2_lan
                             olsrv2_old_lan
                             olsrv2_l2import
                             netjsoninfo
                             layer2_import
                             auto_ll4
                             http
                             mpr
                             remotecontrol
                             )
ENDIF (NOT OONF_STATIC_PLUGINS)


IF (NOT OONF_OPTIONAL_STATIC_PLUGINS)
    set (OONF_OPTIONAL_STATIC_PLUGINS nl80211_listener
                                      cfg_uciloader
                                      )
ENDIF (NOT OONF_OPTIONAL_STATIC_PLUGINS)

##################################
#### link framework libraries ####
##################################

include(../../cmake/link_app.cmake)
oonf_create_app("${OONF_EXE}" "${OONF_STATIC_PLUGINS}" "${OONF_OPTIONAL_STATIC_PLUGINS}")

=== apps/oonf/CMakeLists.txt ===
###########################################
#### Default Application configuration ####
###########################################

# set name of program the executable and library prefix
set (OONF_APP "Minimal OONF Daemon")
set (OONF_EXE oonf)

# setup custom text before and after default help message
set (OONF_HELP_PREFIX "OONF daemon\\n")
set (OONF_HELP_SUFFIX "Visit http://www.olsr.org\\n")

# setup custom text after version string
set (OONF_VERSION_TRAILER "Visit http://www.olsr.org\\n")

# set to true to stop application running without root privileges (true/false)
set (OONF_NEED_ROOT false)

# set to true to require a lock for the application to run
set (OONF_NEED_LOCK false)

# name of default configuration handler
set (OONF_APP_DEFAULT_CFG_HANDLER Compact)

#################################
####  set static subsystems  ####
#################################

IF (NOT OONF_STATIC_PLUGINS)
    set (OONF_STATIC_PLUGINS cfg_compact)
ENDIF (NOT OONF_STATIC_PLUGINS)

IF (NOT OONF_OPTIONAL_STATIC_PLUGINS)
    set (OONF_OPTIONAL_STATIC_PLUGINS "")
ENDIF (NOT OONF_OPTIONAL_STATIC_PLUGINS)

##################################
#### link framework libraries ####
##################################

include(../../cmake/link_app.cmake)
oonf_create_app("${OONF_EXE}" "${OONF_STATIC_PLUGINS}" "${OONF_OPTIONAL_STATIC_PLUGINS}")

=== openwrt/oonf-dlep-proxy-git-debug/Makefile ===
include $(TOPDIR)/rules.mk

PKG_NAME:=oonf-dlep-proxy-git-debug
PKG_VERSION:=2016-05-31

CMAKE_INSTALL:=1

include $(INCLUDE_DIR)/package.mk
include $(INCLUDE_DIR)/cmake.mk

CMAKE_SOURCE_DIR=$(CURDIR)/../../
CMAKE_OPTIONS=-D OONF_NO_WERROR:Bool=true \
              -D OONF_LOGGING_LEVEL:String=debug \
              -D OONF_NO_TESTING:Bool=true \
              -D UCI:Bool=true \
              -D OONF_APP_DEFAULT_CFG_HANDLER:String=uci \
              -D OONF_STATIC_PLUGINS:String="class;clock;layer2;packet_socket;socket;stream_socket;telnet;timer;viewer;os_clock;os_fd;os_interface;os_system;nl80211_listener;layer2info;systeminfo;cfg_uciloader;cfg_compact;dlep_proxy" \
              -D INSTALL_LIB_DIR:Path=lib/oonf \
              -D INSTALL_INCLUDE_DIR:Path=include/oonf \
              -D INSTALL_CMAKE_DIR:Path=lib/oonf \
              -D CMAKE_PREFIX_PATH=$(STAGING_DIR)/usr \
              -D CMAKE_BUILD_TYPE:String=Debug

define Package/oonf-git/template
	SECTION:=net
	CATEGORY:=Network
	MAINTAINER:=Henning Rogge <hrogge@gmail.com>
	SUBMENU:=OLSR.org network framework
	URL:=http://www.olsr.org/
endef

define Package/oonf-dlep-proxy-git-debug
	$(call Package/oonf-git/template) 
	TITLE:= Build DLEP Radio+Router Agent
	DEPENDS:=+librt +libnl-tiny +libuci +oonf-init-scripts
	VERSION:=$(PKG_VERSION)
endef

Build/Compile=$(call Build/Compile/Default,dlep_radio_static)
Build/Install=

define Build/Install
	$(INSTALL_BIN) -D $(PKG_BUILD_DIR)/$(MAKE_PATH)/dlep_radio_static $(PKG_INSTALL_DIR)/usr/sbin/dlep_proxy;
endef

TARGET_CFLAGS += -I$(STAGING_DIR)/usr/include -I${STAGING_DIR}/usr/include/libnl-tiny

define Package/oonf-dlep-proxy-git-debug/install
	$(INSTALL_BIN)  -D $(PKG_BUILD_DIR)/dlep_radio_static $(1)/usr/sbin/dlep_proxy
	$(INSTALL_BIN)  -D ./files/dlep_proxy.init            $(1)/etc/init.d/dlep_proxy
	$(INSTALL_BIN)  -D ./files/dlep_proxy.hotplug         $(1)/etc/hotplug.d/iface/50-dlep_proxy
	$(INSTALL_DATA) -D ./files/dlep_proxy.uci             $(1)/etc/config/dlep_proxy
endef

define Package/oonf-dlep-proxy-git-debug/conffiles
/etc/config/dlep_proxy
endef

$(eval $(call BuildPackage,oonf-dlep-proxy-git-debug))

=== openwrt/oonf-olsrd2-git-debug/Makefile ===
include $(TOPDIR)/rules.mk

PKG_NAME:=oonf-olsrd2-git-debug
PKG_VERSION:=2017-10-17

CMAKE_INSTALL:=1

include $(INCLUDE_DIR)/package.mk
include $(INCLUDE_DIR)/cmake.mk

SPACE:=
SPACE+=
CMAKE_OPTIONAL_PLUGINS:= $(subst $(SPACE),;,$(strip \
        $(if $(filter y,$(CONFIG_OONF_NHDP_AUTOLL4)),auto_ll4,) \
        $(if $(filter y,$(CONFIG_OONF_OLSRV2_LAN_IMPORT)),lan_import,) \
        $(if $(filter y,$(CONFIG_OONF_OLSRV2_ROUTE_MODIFIER)),route_modifier,) \
        $(if $(filter y,$(CONFIG_OONF_GENERIC_DLEP_ROUTER)),dlep_router,) \
        $(if $(filter y,$(CONFIG_OONF_GENERIC_REMOTECONTROL)),remotecontrol,) \
        $(if $(filter y,$(CONFIG_OONF_OLSRV2_MPR)),mpr,) \
        $(if $(filter y,$(CONFIG_OONF_GENERIC_HTTP)),http,) \
        $(if $(filter y,$(CONFIG_OONF_OLSRV2_LAN)),olsrv2_lan,) \
        $(if $(filter y,$(CONFIG_OONF_OLSRV2_OLD_LAN)),olsrv2_old_lan,) \
    ))

CMAKE_SOURCE_DIR=$(CURDIR)/../../
CMAKE_OPTIONS=-D CMAKE_BUILD_TYPE:String=Debug \
              -D OONF_NO_WERROR:Bool=true \
              -D OONF_LOGGING_LEVEL:String=debug \
              -D OONF_NO_TESTING:Bool=true \
              -D UCI:Bool=true \
              -D OONF_APP_DEFAULT_CFG_HANDLER:String=uci \
              -D OONF_STATIC_PLUGINS:String="class;clock;duplicate_set;layer2;packet_socket;rfc5444;socket;stream_socket;telnet;timer;viewer;os_clock;os_fd;os_interface;os_routing;os_system;nhdp;olsrv2;ff_dat_metric;neighbor_probing;nl80211_listener;link_config;layer2info;systeminfo;cfg_uciloader;cfg_compact;nhdpinfo;olsrv2info;netjsoninfo;${CMAKE_OPTIONAL_PLUGINS}" \
              -D OONF_LIB_GIT:String=v$(PKG_VERSION)-archive \
              -D OONF_VERSION:String=$(PKG_VERSION) \
              -D INSTALL_LIB_DIR:Path=lib/oonf \
              -D INSTALL_INCLUDE_DIR:Path=include/oonf \
              -D INSTALL_CMAKE_DIR:Path=lib/oonf \
              -D CMAKE_PREFIX_PATH=$(STAGING_DIR)/usr

define Package/oonf-git/template
	SECTION:=net
	CATEGORY:=Network
	MAINTAINER:=Henning Rogge <hrogge@gmail.com>
	SUBMENU:=OLSR.org network framework
	URL:=http://www.olsr.org/
	MENU:=1
endef

define Package/oonf-olsrd2-git-debug
	$(call Package/oonf-git/template)
	TITLE:= Build Olsrd V2 Routing Agent
	DEPENDS:=+librt +libnl-tiny +libuci +oonf-init-scripts
	VERSION:=$(PKG_VERSION)
endef

define Package/oonf-olsrd2-git-debug/config
	source "$(SOURCE)/Config.in"
endef

Build/Compile=$(call Build/Compile/Default,olsrd2_static)
Build/Install=

define Build/Install
	$(INSTALL_BIN) -D $(PKG_BUILD_DIR)/$(MAKE_PATH)/olsrd2_static $(PKG_INSTALL_DIR)/usr/sbin/olsrd2;
endef

TARGET_CFLAGS += -I$(STAGING_DIR)/usr/include -I${STAGING_DIR}/usr/include/libnl-tiny

define Package/oonf-olsrd2-git-debug/install
	$(INSTALL_BIN)  -D $(PKG_BUILD_DIR)/olsrd2_static $(1)/usr/sbin/olsrd2
	$(INSTALL_BIN)  -D ./files/olsrd2.init            $(1)/etc/init.d/olsrd2
	$(INSTALL_BIN)  -D ./files/olsrd2.hotplug         $(1)/etc/hotplug.d/iface/50-olsrd2
	$(INSTALL_DATA) -D ./files/olsrd2.uci             $(1)/etc/config/olsrd2
endef

define Package/oonf-olsrd2-git-debug/conffiles
/etc/config/olsrd2
endef

$(eval $(call BuildPackage,oonf-olsrd2-git-debug))

=== src/base/CMakeLists.txt ===
# create plugins for single-file (source plus header) subsystems
SET(SINGLE_FILE_NAMES    class
                         clock
                         duplicate_set
                         http
                         layer2
                         packet_socket
                         socket
                         stream_socket
                         telnet
                         timer
                         viewer)

foreach(name ${SINGLE_FILE_NAMES})
    oonf_create_plugin("${name}" "oonf_${name}.c" "oonf_${name.h}" "")
endforeach(name)

# generate rfc5444 plugin
SET (linkto_internal oonf_librfc5444 oonf_libcore oonf_libconfig oonf_libcommon)
oonf_create_library("rfc5444" "oonf_rfc5444.c" "oonf_rfc5444.h" "${linkto_internal}" "")

# generate the os-specific plugins
# TODO: add BSD and WIN32

SET(OS_CLOCK_INCLUDE     os_clock.h)
SET(OS_INTERFACE_INCLUDE os_interface.h)
SET(OS_ROUTING_INCLUDE   os_routing.h)
SET(OS_FD_INCLUDE    os_fd.h)
SET(OS_SYSTEM_INCLUDE    os_system.h)
SET(OS_TUNNEL_INCLUDE    os_tunnel.h)
SET(OS_VIF_INCLUDE       os_vif.h)

IF(LINUX)
    SET(OS_CLOCK_SOURCE      os_linux/os_clock_linux.c)
    SET(OS_CLOCK_INCLUDE     ${OS_CLOCK_INCLUDE}
                             os_linus/os_clock_linux.h)
    
    SET(OS_INTERFACE_SOURCE  os_linux/os_interface_linux.c
                             os_generic/os_interface_generic.c)
    SET(OS_INTERFACE_INCLUDE ${OS_INTERFACE_INCLUDE}
                             os_linux/os_interface_linux.h
                             os_generic/os_interface_generic.h)

    SET(OS_ROUTING_SOURCE    os_generic/os_routing_generic_rt_to_string.c
                             os_generic/os_routing_generic_rtkey_avlcomp.c
                             os_generic/os_routing_generic_init_half_route_key.c
                             os_linux/os_routing_linux.c)
    SET(OS_ROUTING_INCLUDE   ${OS_ROUTING_INCLUDE}
                             os_linux/os_routing_linux.h)

    SET(OS_FD_SOURCE         os_generic/os_fd_generic_configsocket.c
                             os_generic/os_fd_generic_getsocket.c
                             os_generic/os_fd_generic_getrawsocket.c
                             os_generic/os_fd_generic_join_mcast.c
                             os_generic/os_fd_generic_set_nonblocking.c
                             os_generic/os_fd_generic_set_dscp.c
                             os_linux/os_fd_linux.c)
    SET(OS_FD_INCLUDE        ${OS_FD_INCLUDE}
                             os_generic/os_fd_generic_configsocket.h
                             os_generic/os_fd_generic_getsocket.h
                             os_generic/os_fd_generic_getrawsocket.h
                             os_generic/os_fd_generic_join_mcast.h
                             os_generic/os_fd_generic_set_nonblocking.h
                             os_generic/os_fd_generic_set_dscp.h
                             os_linux/os_fd_linux.h)

    SET(OS_SYSTEM_SOURCE     os_linux/os_system_linux.c)
    SET(OS_SYSTEM_INCLUDE    ${OS_SYSTEM_INCLUDE}
                             os_linux/os_system_linux.h)

    SET(OS_TUNNEL_SOURCE     os_linux/os_tunnel_linux.c)
    SET(OS_TUNNEL_INCLUDE    ${OS_TUNNEL_INCLUDE}
                             os_linux/os_tunnel_linux.h)

    SET(OS_VIF_SOURCE        os_linux/os_vif_linux.c)
    SET(OS_VIF_INCLUDE       os_linux/os_vif_linux.h)
ENDIF(LINUX)

# link librt to os_clock plugin to allow building with older GLIBC versions
# we need librt in the pluginloader anyways
oonf_create_plugin("os_clock" "${OS_CLOCK_SOURCE}" "${OS_CLOCK_INCLUDE}" "rt")
oonf_create_plugin("os_interface" "${OS_INTERFACE_SOURCE}" "${OS_INTERFACE_INCLUDE}" "")
oonf_create_plugin("os_routing" "${OS_ROUTING_SOURCE}" "${OS_ROUTING_INCLUDE}" "")
oonf_create_plugin("os_fd" "${OS_FD_SOURCE}" "${OS_FD_INCLUDE}" "")
oonf_create_plugin("os_system" "${OS_SYSTEM_SOURCE}" "${OS_SYSTEM_INCLUDE}" "")
oonf_create_plugin("os_tunnel" "${OS_TUNNEL_SOURCE}" "${OS_TUNNEL_INCLUDE}" "")
oonf_create_plugin("os_vif" "${OS_VIF_SOURCE}" "${OS_VIF_INCLUDE}" "")

=== src/crypto/CMakeLists.txt ===
# add subdirectories
#add_subdirectory(hash_polarssl)
#add_subdirectory(hash_tomcrypt)
#add_subdirectory(rfc5444_signature)
#add_subdirectory(rfc7182_provider)
#add_subdirectory(sharedkey_sig)
#add_subdirectory(simple_security)

=== src/generic/CMakeLists.txt ===
# add subdirectories
add_subdirectory(cfg_compact)
add_subdirectory(dlep)
add_subdirectory(example)
add_subdirectory(layer2info)
add_subdirectory(layer2_import)
add_subdirectory(layer2_config)
add_subdirectory(layer2_export)
add_subdirectory(layer2_generator)
add_subdirectory(link_config)
add_subdirectory(plugin_controller)
add_subdirectory(remotecontrol)
add_subdirectory(systeminfo)

# UCI specific library necessary for Openwrt config loader
IF (UCI)
    add_subdirectory(cfg_uciloader)
ENDIF (UCI)

# linux specific plugins
IF (LINUX)
    add_subdirectory(nl80211_listener)
    add_subdirectory(eth_listener)
ENDIF (LINUX)

=== apps/olsrd2/debian/control ===
Source: olsrd2
Maintainer: Henning Rogge <henning.rogge@fkie.fraunhofer.de>
Section: net
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9)

Package: olsrd2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: routing agent for OLSRv2 routing protocol
 see http://www.olsr.org for more information
